

#   Package for interfacing to the AGATA digitser via the Xport interface

set PACKAGE XportAccess
set VERSION 1.0

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Win [set PACKAGE].dll]]
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION SunOS [set PACKAGE].so]]
   }
   Linux {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Linux [set PACKAGE].so]]
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

